#!/bin/sh -e

# Versioning
version=2:2.2.2-3

# Use debconf baby
. /usr/share/debconf/confmodule || exit
db_version 2.0

db_input "low" imp/welcome || true
db_go

db_input "critical" "imp/server" || true
db_go
db_input "critical" "imp/servtype" || true
db_go
db_get "imp/servtype"
if [ "$RET" = "pop3" ]; then
   db_set imp/port "110"
   db_input "high" "imp/port" || true
   db_go
else
   db_input "high" "imp/port" || true
   db_go
fi

db_input "critical" "imp/dbconfigured" || true
db_go

